Overview
POST
/customer/registercustomerProvision one of the caller's end-customers with an ADH password credential
Create a record in register.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- emailstring
- passwordstring
Must be at least 8 characters.
- displayNameoptionalstring
Example
{
"email": "string",
"password": "string",
"displayName": "string"
}Responses
201
the new end-customer id
- customerIdstring
The newly provisioned end-customer id
Example
{
"customerId": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}409
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/customer/register" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"email": "string",
"password": "string",
"displayName": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/customer/register", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"email\": \"string\",\n \"password\": \"string\",\n \"displayName\": \"string\"\n}",
});
const data = await res.json();